

const panels = document.querySelectorAll('.panel span');
const figure = document.querySelectorAll('figure');

console.log(panels);
getInfo();

window.addEventListener('resize', getInfo);


function getInfo(){

  const dp = Math.round(window.devicePixelRatio * window.innerWidth);
  panels[0].innerHTML = `Window Width: ${window.innerWidth} (css pixels)`;
  panels[1].innerHTML = `First Figure Width: ${figure[0].offsetWidth} (css pixels)`;
  panels[2].innerHTML = `Last Figure Width: ${figure[figure.length-1].offsetWidth} (css pixels)`;
  panels[3].innerHTML = `Device Pixel Density: ${Math.round(window.devicePixelRatio)}`;
  panels[4].innerHTML = `Device Pixels: ${dp}`;
};
